Laravel v5.3.19 正式发布,包含一些小的改动和优化

Laravel 最近发布了 5.3.19 版本,该版本包含一些小的改动和代码优化,以及对中间件排序进行了重写,以便调用带参数的中间件可以正常工作。 PHP Artisan make:model 添加到该版本的一个新功能是在通过Artisan创建新模型时指定对资源控制器的创建。也就是说,你可以通过一个-c或者–controller选项到make:model命令来指定要创建对应的资源控制器…

[ Laravel 5.3 文档 ] 序言 —— 升级指南

从 5.2 升级到 5.3 注:预计升级升级时间:2-3小时 PHP & HHVM Laravel 5.3要求PHP 5.6.4及以上版本,官方将不再支持HHVM,因为其不包含PHP 5.6+新提供的语言特性。 废弃 所有罗列在Laravel 5.2升级指南中的废弃功能都已从框架中移除,你需要查看这个列表以确定不再使用这些废弃功能。 数组 key/value顺序更改 Arr类上的…

Larval Valet 发布 v1.1.0 版本,将 PHP 内置 HTTP 服务器替换为 Caddy

Larval Valet v1.1.0 已正式发布,该版本将内置PHP服务器替换为Caddy来处理HTTP请求,这样做的目的是为了将来的优化以及允许Valet站点在不阻塞内置PHP服务器的情况下访问其它Valet站点。 可以通过如下方式升级: composer global update 然后运行valet install 在系统上创建新的Caddy后台文件。 声明:在发布这篇文章的时候…

[ Lumen 5.2 文档 ] 序言 —— 升级指南

Lumen 5.2 只专注与提供无状态API,因此,session已经从框架中移除,如果你想要使用session,需要切换到 Laravel 5.2。 从 Lumen 5.2 升级到 Laravel 5.2 很简单,只需要将路由和应用中自己编写的类拷贝到 Laravel 中即可,由于 Laravel 和 Lumen 共用很多底层组件,即使是自己编写的类也无需做大的改动。 1、升级依赖 更…

Ubuntu 12.04 LTS 中将 PHP 从 5.3 升级到 5.5 笔记

在 Ubuntu 12.04 LTS 中,使用 sudo apt-get install php5-fpm 安装的 PHP 版本是 5.3,如果想要使用 Laravel 或 Yii2 框架,要求 PHP 版本至少是 5.5+,所以要对 PHP 版本进行升级。 升级步骤 初始化操作: sudo apt-get update sudo apt-get install python-softw…

Lumen 5.2 已正式发布,新版本将专注于提供无状态的 JSON API

Lumen 5.2.0 现在正式发布了!本次发布包含 Laravel 5.2 的组件并且对核心理念做了显著修改。 现在使用 Lumen 的用户要注意官方文档中的以下几点说明: 只提供无状态的 API Lumen 5.2 对 Lumen 做了大瘦身 —— 只专注于提供无状态的 JSON API。因此,框架将不再支持会话(Session)和视图(View),如果要使用这些功能,需要使用完整的…

[ Laravel 5.2 文档 ] 序言 —— 升级指南

从 5.1 升级到 5.2.0 更新依赖 更新 composer.json 文件指向 laravel/framework 5.2.*。 注:如果你安装的是 Laravel 5.2 的 beta 版本,还要添加 “minimum-stability”: “beta” 到 composer.json 文件。 添加 symfony/dom-crawler ~3.0 和 symfony/css-…

PHP 7.0 与 PHP 5.6 下 Laravel 博客应用性能对比分析

目前我安装的 Homestead 虚拟机版本是 2.1.8: 该版本 Homestead 上预装的 PHP 版本是 5.6.15: 我们使用 ab 命令(Apache 提供的性能测试工具)在该版本中测试 Laravel 应用(以目前正在讲的使用Laravel开发的博客应用为例)性能,我们模拟 10000 次请求,100 个并发进行压力测试: ab -n 10000 -c 100 http…

Laravel Web Installer : 让 Laravel 应用像 WordPress 一样通过浏览器进行安装升级

1、概述 你是否想让自己开发的 Laravel 应用可以像 WordPress、Discuz 或者其他 CMS 一样通过浏览器进行安装?Laravel Web Installer 这个第三方扩展包我们带来了福音,通过该扩展包,不再需要使用 Composer、SSH 这些命令行工具,你完全可以在浏览器中按照向导一步步实现应用的安装和升级工作。 注:需要指出的是这里安装指的不是 Larave…

Laravel Homestead 新版本升级到 MySQL 5.7 和 Node.js 5.0

Homestead Vagrant Box 又升级了,新版本中升级 MySQL 到 5.7,同时升级到 Node.js 到 5.0。可以在本地主机中使用如下命令升级 Homestead: homestead update 如果在此之前 Homestead 还在运行中,要先运行如下命令关闭 Homestead : homestead halt 升级要耗费一些时间,这取决你的网络连接速度,请…